#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

CertPasswordPrompt=Rhowch y cyfrinair ar gyfer y tocyn PKCS#11 %S.

CertPasswordPromptDefault=Rhowch eich Prif Gyfrinair.

# The following strings have special requirements: they must fit in a 32 or 64
# bytes buffer after being encoded to UTF-8.
#
# It's possible to verify the length of a translation using the Browser Console
# in Firefox and evaluating the following code:
#
# (new TextEncoder('utf-8').encode('YOURSTRING')).length
#
# Simply replace YOURSTRING with your translation.
#
# If it's not possible to produce an understandable translation within these
# limits, keeping the English text is an acceptable workaround.

# LOCALIZATION NOTE (RootCertModuleName): string limit is 64 bytes after
# conversion to UTF-8.
# length_limit = 64 bytes
RootCertModuleName=Modiwl Gwreiddiau Builtin
# LOCALIZATION NOTE (ManufacturerID): string limit is 32 bytes after conversion
# to UTF-8.
# length_limit = 32 bytes
ManufacturerID=Mozilla.org
# LOCALIZATION NOTE (LibraryDescription): string limit is 32 bytes after
# conversion to UTF-8.
# length_limit = 32 bytes
LibraryDescription=Gwasanaethau Crypto Mewnol PSM
# LOCALIZATION NOTE (TokenDescription): string limit is 32 bytes after
# conversion to UTF-8.
# length_limit = 32 bytes
TokenDescription=Gwasanaethau Crypto Generig
# LOCALIZATION NOTE (PrivateTokenDescription): string limit is 32 bytes after
# conversion to UTF-8.
# length_limit = 32 bytes
PrivateTokenDescription=Dyfais Diogelwch Meddalwedd
# LOCALIZATION NOTE (SlotDescription): string limit is 64 bytes after conversion
# to UTF-8.
# length_limit = 64 bytes
SlotDescription=Gwasanaethau Cryptograffig Mewnol PSM
# LOCALIZATION NOTE (PrivateSlotDescription): string limit is 64 bytes after
# conversion to UTF-8.
# length_limit = 64 bytes
PrivateSlotDescription=Allweddi Preifat PSM
# LOCALIZATION NOTE (Fips140TokenDescription): string limit is 32 bytes after
# conversion to UTF-8.
# length_limit = 32 bytes
Fips140TokenDescription=Dyfais Diogelu Meddalwedd (FIPS)
# LOCALIZATION NOTE (Fips140SlotDescription): string limit is 64 bytes after
# conversion to UTF-8.
# length_limit = 64 bytes
Fips140SlotDescription=Gwasanaethau Tystysgrif ac Allwedd Cryptograffeg FIPS 140

# LOCALIZATION NOTE (nick_template): $1s is the common name from a cert (e.g. "Mozilla"), $2s is the CA name (e.g. VeriSign)
nick_template=%1$s's %2$s ID

CertDumpKUSign=Llofnodi
CertDumpKUNonRep=An-wrthodiad
CertDumpKUEnc=Seiffro Allwedd
CertDumpKUDEnc=Seiffro Data
CertDumpKUKA=Cytundeb Allwedd
CertDumpKUCertSign=Llofnodwr Tystysgrif
CertDumpKUCRLSigner=Llofnodwr CRL

PSMERR_SSL_Disabled=Methu cysylltu'n ddiogel oherwydd bod y protocol SSL wedi ei analluogi.
PSMERR_SSL2_Disabled=Methu cysylltu'n ddiogel oherwydd bod y wefan'n defnyddio hen fersiwn anniogel o brotocol SSL.
PSMERR_HostReusedIssuerSerial=Rydych wedi derbyn tystysgrif annilys.  Cysylltwch gweinyddwr y gweinydd neu gyfathrebwr e-bost a rhannu'r wybodaeth ganlynol:\n\nMae eich tystysgrif yn cynnwys yr un rhifau cyfresol a thystysgrif arall wedi ei gyhoeddi gan yr awdurdod tystysgrifau.  Defnyddiwch dystysgrif newydd yn cynnwys rhif cyfresol unigryw.

# LOCALIZATION NOTE (SSLConnectionErrorPrefix2): %1$S is the host string, %2$S is more detailed information (localized as well).
SSLConnectionErrorPrefix2=Digwyddodd gwall wrth gysylltu â %1$S. %2$S\n

certErrorIntro=Mae %S yn defnyddio tystysgrif diogelwch annilys.

certErrorTrust_SelfSigned=Nid oes modd ymddiried yn y dystysgrif am ei fod wedi ei hunanlofnodi.
certErrorTrust_UnknownIssuer=Nid oes modd ymddiried yn y dystysgrif am nad yw ei chyhoeddwr yn hysbys.
certErrorTrust_UnknownIssuer2=Efallai nad yw'r gweinydd yn anfon y tystysgrifau canolraddol priodol.
certErrorTrust_UnknownIssuer3=Efallai bod angen mewnforio tystysgrif gwraidd ychwanegol.
certErrorTrust_CaInvalid=Nid oes modd ymddiried yn y dystysgrif am ei fod wedi rhyddhau tystysgrif CA annilys.
certErrorTrust_Issuer=Nid oes modd ymddiried yn y dystysgrif oherwydd nad oes modd ymddiried yn ei chyhoeddwr.
certErrorTrust_SignatureAlgorithmDisabled=Nid oes ymddiriedaeth i'r dystysgrif gan ei fod wedi ei lofnodi gan ddefnyddio algorithm llofnod sydd wedi ei analluogi am nad yw'r algorithm yn anniogel.
certErrorTrust_ExpiredIssuer=Nid oes modd ymddiried yn y dystysgrif oherwydd bod y dystysgrif ryddhau wedi dod i ben.
certErrorTrust_Untrusted=Nid yw'r dystysgrif yn dod o fan gellir ymddiried ynddo.
certErrorTrust_MitM=Mae eich cysylltiad yn cael ei ryngdorri gan ddirprwy TLS. Dadosodwch os yn bosib neu ffurfweddwch eich dyfais i ymddiried yn ei dystysgrif gwraidd.

certErrorMismatch=Nid yw'r dystysgrif yn ddilys yn enw %S.
# LOCALIZATION NOTE (certErrorMismatchSinglePrefix): %S is replaced by the domain for which the certificate is valid
certErrorMismatchSinglePrefix=Dim ond ar gyfer %S mae'r dystysgrif yn ddilys.
certErrorMismatchMultiple=Mae'r dystysgrif yn ddilys ar gyfer yr enwau canlynol yn unig:

# LOCALIZATION NOTE (certErrorExpiredNow): Do not translate %1$S (date+time of expired certificate) or %2$S (current date+time)
certErrorExpiredNow=Daeth y dystysgrif i ben ar %1$S. Yr amser cyfredol yw %2$S.

# LOCALIZATION NOTE (certErrorNotYetValidNow): Do not translate %1$S (date+time certificate will become valid) or %2$S (current date+time)
certErrorNotYetValidNow=Bydd y dystysgrif yn ddilys tan %1$S. Yr amser cyfredol yw %2$S.

certErrorMitM=Mae gwefannau'n profi eu hunaniaeth drwy dystysgrifau, sy'n cael eu cyhoeddi gan awdurdodau tystysgrifau.
# LOCALIZATION NOTE (certErrorMitM2): %S is brandShortName
certErrorMitM2=Mae %S yn cael ei gefnogi gan Mozilla y corff dim-er-elw, sy'n gweinyddu storfa awdurdod tystysgrifau (CA) cwbl agored. Mae'r storfa'n cynorthwyo i sicrhau fod awdurdodau tystysgrif yn dilyn ymarfer gorau ar gyfer diogelwch defnyddwyr.
# LOCALIZATION NOTE (certErrorMitM3): %S is brandShortName
certErrorMitM3=Mae %S yn defnyddio storfa CA Mozilla i wirio bod cysylltiad yn ddiogel, yn hytrach na thystysgrifau wedi eu cyflenwi gan system weithredu'r defnyddiwr. Felly, os yw rhaglen gwrth-firws neu rwydwaith yn rhyng-gipio cysylltiad â thystysgrif diogelwch a gyhoeddwyd gan CA nad yw yn storfa CA Mozilla, mae'n ystyried bod y cysylltiad yn anniogel.

certErrorSymantecDistrustAdministrator=Gallwch hysbysu gweinyddwr y wefan am y broblem hon.

# LOCALIZATION NOTE (certErrorCodePrefix3): %S is replaced by the error code.
certErrorCodePrefix3=Cod gwall: %S

P12DefaultNickname=Tystysgrif wedi ei Fewnforio
CertUnknown=Anhysbys
CertNoEmailAddress=(dim cyfeiriad e-bost)
CaCertExists=Mae'r dystysgrif wedi ei gosod fel awdurdod tystysgrif.
NotACACert=Nid tystysgrif awdurdod tystysgrif yw hon, felly nid oes modd ei fewnforio i restr awdurdod tystysgrif.
UserCertIgnoredNoPrivateKey=Nid oes modd gosod eich tystysgrif bersonol am nad chi yw perchennog yr allwedd breifat gyfatebol grëwyd pan ofynnwyd am y dystysgrif.
UserCertImported=Mae eich tystysgrif bersonol wedi ei gosod. Dylech gadw copi wrth gefn ohoni.
CertOrgUnknown=(Anhysbys)
CertNotStored=(Heb ei Storio)
CertExceptionPermanent=Parhaol
CertExceptionTemporary=Dros dro
